Internal site. Jolli authentication required to view.
Skip to Content
API ReferencePlatformGET /v0/config

Get Platform Config

GET/v0/configPlatform

Try it

GET/v0/config
Authentication

Retrieve configuration of the Feldera Platform.

Authentication

  • JSON web token (JWT) or API keyBearer token

Response

200The response body contains basic configuration information about this host.application/json
  • object
    • build_infoobjectrequired
      Information about the build of the platform.
    • build_sourcestringrequired
      Build source: "ci" for GitHub Actions builds, "source" for local builds
    • changelog_urlstringrequired
      URL that navigates to the changelog of the current version
    • editionstringrequired
      Feldera edition: "Open source" or "Enterprise"
    • license_validityobject
    • revisionstringrequired
      Specific revision corresponding to the edition `version` (e.g., git commit hash).
    • runtime_revisionstringrequired
      Specific revision corresponding to the default runtime version of the platform (e.g., git commit hash).
    • telemetrystringrequired
      Telemetry key.
    • unstable_featuresstring
      List of unstable features that are enabled.
    • update_infoobject
    • versionstringrequired
      The version corresponding to the type of `edition`. Format is `x.y.z`.
500Request failed.application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/config' \ -H 'Authorization: Bearer YOUR_TOKEN'